package factura40;

import java.util.ArrayList;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(name = "c_MetodoPago", namespace = "http://www.sat.gob.mx/sitio_internet/cfd/catalogos")
@XmlEnum
public enum CMetodoPago {

    PUE("Pago de una sola exhibición"),
    PIP("Pago inicial y parcialidades"),
    PPD("Pago en parcialidades o diferido");

    String valor;
    
    private CMetodoPago(String aValor) {
        valor = aValor;
    }
    
    public String getValor() {
        return valor;
    }
    public String value() {
        return name();
    }

    public static CMetodoPago fromValue(String v) {
        for (CMetodoPago valor : CMetodoPago.values()) {
            if (valor.getValor().equals(v)) {
                return valor;
            }
        }

        return valueOf(v);
    }

    public static ArrayList<String> listaMetodoPago(){
        ArrayList<String> lista = new ArrayList<>();
        
        for (CMetodoPago FormaPago : CMetodoPago.values()){
            lista.add(FormaPago.getValor());
        }
        return lista;
    } 
}
